Page MenuHomePhabricator

Make wbqc_constraints table available on Quarry et al.
Closed, ResolvedPublic

Description

I don’t think there’s any reason to not make that table available, so I assume the only reason it’s not available is that it hasn’t explicitly been made available. I’ll look into this.

Details

Related Gerrit Patches:
operations/puppet : productionExpose wbqc_constraints view on Wiki Replicas

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 1:15 PM
Addshore added a subscriber: Addshore.

The table need to be replicated to the labs DB replicas in order to be accessible to Quarry.

I think I just found the right config file in puppet – can I just submit a Gerrit change there?

I dont see why not!

Just to clarify, the table is already on labs hosts. What is missing is the view creation

Marostegui triaged this task as Normal priority.Jul 18 2017, 1:50 PM

Thanks, then it makes more sense that the change I’m about to submit only touches views :)

Change 365969 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/puppet@production] Make wbqc_constraints table available on Labs

https://gerrit.wikimedia.org/r/365969

I would suggest you add at least @chasemp and @bd808 as reviewers

Adding Security-Team and WMF-Legal for approval of exposing new data. If the data in this table is all available on-wiki to anon users then it should be an easy approval for them. Here is the better description of the data from the gerrit patch:

Make wbqc_constraints table available on Labs
This table is used by the WikibaseQualityConstraints extension to record constraints on Wikidata properties.
Prior to T169647, the table is populated by periodically (every few weeks to months) importing constraints from property talk pages on Wikidata using [ConstraintsFromTemplates], and reading the resulting CSV file into the database using the extension's UpdateConstraintsTable maintenance script.
Following T169647, the table is populated by the constraintsTableUpdate job, which imports constraints from statements on the property entity and is enqueued by a hook that runs when properties are edited.
In both cases, the table is entirely populated from public data, so I believe it can be made available without problems
[ConstraintsFromTemplates]: https://github.com/WikidataQuality/ConstraintsFromTemplates

bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.

Any update about this?

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 31 2017, 9:47 AM
Addshore removed a subscriber: Addshore.Jul 31 2017, 9:48 AM

ping for @Bawolff, @dpatrick, @Reedy. If Security-Team can confirm that this is already public data on wiki I think we can skip an approval by WMF-Legal.

I approve on behalf of Security-Team

bd808 added a subscriber: madhuvishy.

@madhuvishy the patch at https://gerrit.wikimedia.org/r/#/c/365969/3 is ready for your review and merge followed by running maintain-views.

labsdb1011 will have puppet disable till Monday most likely due to maintenance, but if you let me know the command you'll run on the other labs hosts once the patch is merged, I can take care of labsdb1011 and disable puppet again once I am done there so this task doesn't get blocked on that specific host.

labsdb1011 has now puppet enabled so it can be treated normally for this task
For the new labs infra be aware of: T172496

ZhouZ moved this task from Backlog to Legal Done on the WMF-Legal board.Aug 23 2017, 7:02 PM

Change 365969 merged by Andrew Bogott:
[operations/puppet@production] Expose wbqc_constraints view on Wiki Replicas

https://gerrit.wikimedia.org/r/365969

Lucas_Werkmeister_WMDE closed this task as Resolved.Aug 25 2017, 5:27 PM
Lucas_Werkmeister_WMDE added a subscriber: Andrew.

Seems to be done – thanks @Andrew!

How is it related? Making a table available is something different than data missing in the table.

That above task has been fixed (but that is about hiwikiversity though, not sure how is that related to this)

Andrew closed this task as Resolved.Aug 25 2017, 7:18 PM

That above task has been fixed (but that is about hiwikiversity though, not sure how is that related to this)

Related because I couldn't run maintain_views due to that issue. It may have not mattered but it was messing up my process :)

bd808 moved this task from Important to Done on the cloud-services-team (Kanban) board.
sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 6:32 PM